package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author liulu
 * @since 2024/11/13
 */
@Data
public class AppTokenReq {

    /**
     * 平台分配的appKey
     */
    @NotBlank
    @Size(min = 16, max = 64, message = "appKey长度必须为16-64")
    private String appKey;
    /**
     * 时间戳毫秒数，与服务器时间不能超过5分钟
     */
    @NotNull
    private Long timestamp;
    /**
     * 使用appKey+random+appSecret作为原文，使用appSecret作为key，根据HmacSM3算法计算得到hmac值,转为Hex编码
     */
    @NotBlank
    @Size(min = 32, max = 64, message = "hmac长度在60-64之间")
    private String hmac;
}
