package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author Wangjingcheng
 * @Version 1.0.0
 * @Date 2023/8/4 9:56
 */
@Data
public class AsymDecryptReq {
    // 密钥ID
    @NotNull(message = "密钥ID不能为空")
    private Long keyId;

    // 密钥索引
    @NotEmpty(message = "密钥索引不能为空")
    @Size(min = 15, max = 24, message = "密钥索引长度在15-24")
    private String keyIndex;

    // 密文,使用Base64编码
    @NotBlank(message = "密文不能为空")
    private String cipherData;

}
